// This type can be generated using this code in an empty project:
// const resolveConfig = require('tailwindcss/resolveConfig')
// const tailwindConfig = require('./tailwind.config.js')
// const fullConfig = resolveConfig(tailwindConfig)
// console.log(JSON.stringify(fullConfig, null, 2))
export interface TailwindConfigDefault {
    theme: {
        screens: {
            sm: '640px';
            md: '768px';
            lg: '1024px';
            xl: '1280px';
            '2xl': '1536px';
        };
        colors: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        columns: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            '8': '8';
            '9': '9';
            '10': '10';
            '11': '11';
            '12': '12';
            auto: 'auto';
            '3xs': '16rem';
            '2xs': '18rem';
            xs: '20rem';
            sm: '24rem';
            md: '28rem';
            lg: '32rem';
            xl: '36rem';
            '2xl': '42rem';
            '3xl': '48rem';
            '4xl': '56rem';
            '5xl': '64rem';
            '6xl': '72rem';
            '7xl': '80rem';
        };
        spacing: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
        };
        animation: {
            none: 'none';
            spin: 'spin 1s linear infinite';
            ping: 'ping 1s cubic-bezier(0, 0, 0.2, 1) infinite';
            pulse: 'pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite';
            bounce: 'bounce 1s infinite';
        };
        aspectRatio: {
            auto: 'auto';
            square: '1 / 1';
            video: '16 / 9';
        };
        backdropBlur: {
            '0': '0';
            none: '0';
            sm: '4px';
            DEFAULT: '8px';
            md: '12px';
            lg: '16px';
            xl: '24px';
            '2xl': '40px';
            '3xl': '64px';
        };
        backdropBrightness: {
            '0': '0';
            '50': '.5';
            '75': '.75';
            '90': '.9';
            '95': '.95';
            '100': '1';
            '105': '1.05';
            '110': '1.1';
            '125': '1.25';
            '150': '1.5';
            '200': '2';
        };
        backdropContrast: {
            '0': '0';
            '50': '.5';
            '75': '.75';
            '100': '1';
            '125': '1.25';
            '150': '1.5';
            '200': '2';
        };
        backdropGrayscale: {
            '0': '0';
            DEFAULT: '100%';
        };
        backdropHueRotate: {
            '0': '0deg';
            '15': '15deg';
            '30': '30deg';
            '60': '60deg';
            '90': '90deg';
            '180': '180deg';
            '-180': '-180deg';
            '-90': '-90deg';
            '-60': '-60deg';
            '-30': '-30deg';
            '-15': '-15deg';
        };
        backdropInvert: {
            '0': '0';
            DEFAULT: '100%';
        };
        backdropOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        backdropSaturate: {
            '0': '0';
            '50': '.5';
            '100': '1';
            '150': '1.5';
            '200': '2';
        };
        backdropSepia: {
            '0': '0';
            DEFAULT: '100%';
        };
        backgroundColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        backgroundImage: {
            none: 'none';
            'gradient-to-t': 'linear-gradient(to top, var(--tw-gradient-stops))';
            'gradient-to-tr': 'linear-gradient(to top right, var(--tw-gradient-stops))';
            'gradient-to-r': 'linear-gradient(to right, var(--tw-gradient-stops))';
            'gradient-to-br': 'linear-gradient(to bottom right, var(--tw-gradient-stops))';
            'gradient-to-b': 'linear-gradient(to bottom, var(--tw-gradient-stops))';
            'gradient-to-bl': 'linear-gradient(to bottom left, var(--tw-gradient-stops))';
            'gradient-to-l': 'linear-gradient(to left, var(--tw-gradient-stops))';
            'gradient-to-tl': 'linear-gradient(to top left, var(--tw-gradient-stops))';
        };
        backgroundOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        backgroundPosition: {
            bottom: 'bottom';
            center: 'center';
            left: 'left';
            'left-bottom': 'left bottom';
            'left-top': 'left top';
            right: 'right';
            'right-bottom': 'right bottom';
            'right-top': 'right top';
            top: 'top';
        };
        backgroundSize: {
            auto: 'auto';
            cover: 'cover';
            contain: 'contain';
        };
        blur: {
            '0': '0';
            none: '0';
            sm: '4px';
            DEFAULT: '8px';
            md: '12px';
            lg: '16px';
            xl: '24px';
            '2xl': '40px';
            '3xl': '64px';
        };
        brightness: {
            '0': '0';
            '50': '.5';
            '75': '.75';
            '90': '.9';
            '95': '.95';
            '100': '1';
            '105': '1.05';
            '110': '1.1';
            '125': '1.25';
            '150': '1.5';
            '200': '2';
        };
        borderColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
            DEFAULT: '#e5e7eb';
        };
        borderOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        borderRadius: {
            none: '0px';
            sm: '0.125rem';
            DEFAULT: '0.25rem';
            md: '0.375rem';
            lg: '0.5rem';
            xl: '0.75rem';
            '2xl': '1rem';
            '3xl': '1.5rem';
            full: '9999px';
        };
        borderWidth: {
            '0': '0px';
            '2': '2px';
            '4': '4px';
            '8': '8px';
            DEFAULT: '1px';
        };
        boxShadow: {
            sm: '0 1px 2px 0 rgb(0 0 0 / 0.05)';
            DEFAULT: '0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px 0 rgb(0 0 0 / 0.06)';
            md: '0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -1px rgb(0 0 0 / 0.06)';
            lg: '0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -2px rgb(0 0 0 / 0.05)';
            xl: '0 20px 25px -5px rgb(0 0 0 / 0.1), 0 10px 10px -5px rgb(0 0 0 / 0.04)';
            '2xl': '0 25px 50px -12px rgb(0 0 0 / 0.25)';
            inner: 'inset 0 2px 4px 0 rgb(0 0 0 / 0.06)';
            none: 'none';
        };
        caretColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        accentColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
            auto: 'auto';
        };
        contrast: {
            '0': '0';
            '50': '.5';
            '75': '.75';
            '100': '1';
            '125': '1.25';
            '150': '1.5';
            '200': '2';
        };
        container: {};
        content: {
            none: 'none';
        };
        cursor: {
            auto: 'auto';
            default: 'default';
            pointer: 'pointer';
            wait: 'wait';
            text: 'text';
            move: 'move';
            help: 'help';
            'not-allowed': 'not-allowed';
        };
        divideColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
            DEFAULT: '#e5e7eb';
        };
        divideOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        divideWidth: {
            '0': '0px';
            '2': '2px';
            '4': '4px';
            '8': '8px';
            DEFAULT: '1px';
        };
        dropShadow: {
            sm: '0 1px 1px rgb(0 0 0 / 0.05)';
            DEFAULT: ['0 1px 2px rgb(0 0 0 / 0.1)', '0 1px 1px rgb(0 0 0 / 0.06)'];
            md: ['0 4px 3px rgb(0 0 0 / 0.07)', '0 2px 2px rgb(0 0 0 / 0.06)'];
            lg: ['0 10px 8px rgb(0 0 0 / 0.04)', '0 4px 3px rgb(0 0 0 / 0.1)'];
            xl: ['0 20px 13px rgb(0 0 0 / 0.03)', '0 8px 5px rgb(0 0 0 / 0.08)'];
            '2xl': '0 25px 25px rgb(0 0 0 / 0.15)';
            none: '0 0 #0000';
        };
        fill: {
            current: 'currentColor';
        };
        grayscale: {
            '0': '0';
            DEFAULT: '100%';
        };
        hueRotate: {
            '0': '0deg';
            '15': '15deg';
            '30': '30deg';
            '60': '60deg';
            '90': '90deg';
            '180': '180deg';
            '-180': '-180deg';
            '-90': '-90deg';
            '-60': '-60deg';
            '-30': '-30deg';
            '-15': '-15deg';
        };
        invert: {
            '0': '0';
            DEFAULT: '100%';
        };
        flex: {
            '1': '1 1 0%';
            auto: '1 1 auto';
            initial: '0 1 auto';
            none: 'none';
        };
        flexGrow: {
            '0': '0';
            DEFAULT: '1';
        };
        flexShrink: {
            '0': '0';
            DEFAULT: '1';
        };
        fontFamily: {
            sans: [
                'ui-sans-serif',
                'system-ui',
                '-apple-system',
                'BlinkMacSystemFont',
                '"Segoe UI"',
                'Roboto',
                '"Helvetica Neue"',
                'Arial',
                '"Noto Sans"',
                'sans-serif',
                '"Apple Color Emoji"',
                '"Segoe UI Emoji"',
                '"Segoe UI Symbol"',
                '"Noto Color Emoji"',
            ];
            serif: ['ui-serif', 'Georgia', 'Cambria', '"Times New Roman"', 'Times', 'serif'];
            mono: [
                'ui-monospace',
                'SFMono-Regular',
                'Menlo',
                'Monaco',
                'Consolas',
                '"Liberation Mono"',
                '"Courier New"',
                'monospace',
            ];
        };
        fontSize: {
            xs: [
                '0.75rem',
                {
                    lineHeight: '1rem';
                },
            ];
            sm: [
                '0.875rem',
                {
                    lineHeight: '1.25rem';
                },
            ];
            base: [
                '1rem',
                {
                    lineHeight: '1.5rem';
                },
            ];
            lg: [
                '1.125rem',
                {
                    lineHeight: '1.75rem';
                },
            ];
            xl: [
                '1.25rem',
                {
                    lineHeight: '1.75rem';
                },
            ];
            '2xl': [
                '1.5rem',
                {
                    lineHeight: '2rem';
                },
            ];
            '3xl': [
                '1.875rem',
                {
                    lineHeight: '2.25rem';
                },
            ];
            '4xl': [
                '2.25rem',
                {
                    lineHeight: '2.5rem';
                },
            ];
            '5xl': [
                '3rem',
                {
                    lineHeight: '1';
                },
            ];
            '6xl': [
                '3.75rem',
                {
                    lineHeight: '1';
                },
            ];
            '7xl': [
                '4.5rem',
                {
                    lineHeight: '1';
                },
            ];
            '8xl': [
                '6rem',
                {
                    lineHeight: '1';
                },
            ];
            '9xl': [
                '8rem',
                {
                    lineHeight: '1';
                },
            ];
        };
        fontWeight: {
            thin: '100';
            extralight: '200';
            light: '300';
            normal: '400';
            medium: '500';
            semibold: '600';
            bold: '700';
            extrabold: '800';
            black: '900';
        };
        gap: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
        };
        gradientColorStops: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        gridAutoColumns: {
            auto: 'auto';
            min: 'min-content';
            max: 'max-content';
            fr: 'minmax(0, 1fr)';
        };
        gridAutoRows: {
            auto: 'auto';
            min: 'min-content';
            max: 'max-content';
            fr: 'minmax(0, 1fr)';
        };
        gridColumn: {
            auto: 'auto';
            'span-1': 'span 1 / span 1';
            'span-2': 'span 2 / span 2';
            'span-3': 'span 3 / span 3';
            'span-4': 'span 4 / span 4';
            'span-5': 'span 5 / span 5';
            'span-6': 'span 6 / span 6';
            'span-7': 'span 7 / span 7';
            'span-8': 'span 8 / span 8';
            'span-9': 'span 9 / span 9';
            'span-10': 'span 10 / span 10';
            'span-11': 'span 11 / span 11';
            'span-12': 'span 12 / span 12';
            'span-full': '1 / -1';
        };
        gridColumnEnd: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            '8': '8';
            '9': '9';
            '10': '10';
            '11': '11';
            '12': '12';
            '13': '13';
            auto: 'auto';
        };
        gridColumnStart: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            '8': '8';
            '9': '9';
            '10': '10';
            '11': '11';
            '12': '12';
            '13': '13';
            auto: 'auto';
        };
        gridRow: {
            auto: 'auto';
            'span-1': 'span 1 / span 1';
            'span-2': 'span 2 / span 2';
            'span-3': 'span 3 / span 3';
            'span-4': 'span 4 / span 4';
            'span-5': 'span 5 / span 5';
            'span-6': 'span 6 / span 6';
            'span-full': '1 / -1';
        };
        gridRowStart: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            auto: 'auto';
        };
        gridRowEnd: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            auto: 'auto';
        };
        gridTemplateColumns: {
            '1': 'repeat(1, minmax(0, 1fr))';
            '2': 'repeat(2, minmax(0, 1fr))';
            '3': 'repeat(3, minmax(0, 1fr))';
            '4': 'repeat(4, minmax(0, 1fr))';
            '5': 'repeat(5, minmax(0, 1fr))';
            '6': 'repeat(6, minmax(0, 1fr))';
            '7': 'repeat(7, minmax(0, 1fr))';
            '8': 'repeat(8, minmax(0, 1fr))';
            '9': 'repeat(9, minmax(0, 1fr))';
            '10': 'repeat(10, minmax(0, 1fr))';
            '11': 'repeat(11, minmax(0, 1fr))';
            '12': 'repeat(12, minmax(0, 1fr))';
            none: 'none';
        };
        gridTemplateRows: {
            '1': 'repeat(1, minmax(0, 1fr))';
            '2': 'repeat(2, minmax(0, 1fr))';
            '3': 'repeat(3, minmax(0, 1fr))';
            '4': 'repeat(4, minmax(0, 1fr))';
            '5': 'repeat(5, minmax(0, 1fr))';
            '6': 'repeat(6, minmax(0, 1fr))';
            none: 'none';
        };
        height: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            auto: 'auto';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '1/2': '50%';
            '1/3': '33.333333%';
            '2/3': '66.666667%';
            '1/4': '25%';
            '2/4': '50%';
            '3/4': '75%';
            '1/5': '20%';
            '2/5': '40%';
            '3/5': '60%';
            '4/5': '80%';
            '1/6': '16.666667%';
            '2/6': '33.333333%';
            '3/6': '50%';
            '4/6': '66.666667%';
            '5/6': '83.333333%';
            full: '100%';
            screen: '100vh';
        };
        inset: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            auto: 'auto';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
            '1/2': '50%';
            '1/3': '33.333333%';
            '2/3': '66.666667%';
            '1/4': '25%';
            '2/4': '50%';
            '3/4': '75%';
            full: '100%';
            '-1/2': '-50%';
            '-1/3': '-33.333333%';
            '-2/3': '-66.666667%';
            '-1/4': '-25%';
            '-2/4': '-50%';
            '-3/4': '-75%';
            '-full': '-100%';
        };
        keyframes: {
            spin: {
                to: {
                    transform: 'rotate(360deg)';
                };
            };
            ping: {
                '75%, 100%': {
                    transform: 'scale(2)';
                    opacity: '0';
                };
            };
            pulse: {
                '50%': {
                    opacity: '.5';
                };
            };
            bounce: {
                '0%, 100%': {
                    transform: 'translateY(-25%)';
                    animationTimingFunction: 'cubic-bezier(0.8,0,1,1)';
                };
                '50%': {
                    transform: 'none';
                    animationTimingFunction: 'cubic-bezier(0,0,0.2,1)';
                };
            };
        };
        letterSpacing: {
            tighter: '-0.05em';
            tight: '-0.025em';
            normal: '0em';
            wide: '0.025em';
            wider: '0.05em';
            widest: '0.1em';
        };
        lineHeight: {
            '3': '.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            none: '1';
            tight: '1.25';
            snug: '1.375';
            normal: '1.5';
            relaxed: '1.625';
            loose: '2';
        };
        listStyleType: {
            none: 'none';
            disc: 'disc';
            decimal: 'decimal';
        };
        margin: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            auto: 'auto';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
        };
        maxHeight: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            full: '100%';
            screen: '100vh';
        };
        maxWidth: {
            '0': '0rem';
            none: 'none';
            xs: '20rem';
            sm: '24rem';
            md: '28rem';
            lg: '32rem';
            xl: '36rem';
            '2xl': '42rem';
            '3xl': '48rem';
            '4xl': '56rem';
            '5xl': '64rem';
            '6xl': '72rem';
            '7xl': '80rem';
            full: '100%';
            min: 'min-content';
            max: 'max-content';
            prose: '65ch';
            'screen-sm': '640px';
            'screen-md': '768px';
            'screen-lg': '1024px';
            'screen-xl': '1280px';
            'screen-2xl': '1536px';
        };
        minHeight: {
            '0': '0px';
            full: '100%';
            screen: '100vh';
        };
        minWidth: {
            '0': '0px';
            full: '100%';
            min: 'min-content';
            max: 'max-content';
        };
        objectPosition: {
            bottom: 'bottom';
            center: 'center';
            left: 'left';
            'left-bottom': 'left bottom';
            'left-top': 'left top';
            right: 'right';
            'right-bottom': 'right bottom';
            'right-top': 'right top';
            top: 'top';
        };
        opacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        order: {
            '1': '1';
            '2': '2';
            '3': '3';
            '4': '4';
            '5': '5';
            '6': '6';
            '7': '7';
            '8': '8';
            '9': '9';
            '10': '10';
            '11': '11';
            '12': '12';
            first: '-9999';
            last: '9999';
            none: '0';
        };
        outline: {
            none: ['2px solid transparent', '2px'];
            white: ['2px dotted white', '2px'];
            black: ['2px dotted black', '2px'];
        };
        padding: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
        };
        placeholderColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        placeholderOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        ringColor: {
            DEFAULT: '#3b82f6';
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        ringOffsetColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        ringOffsetWidth: {
            '0': '0px';
            '1': '1px';
            '2': '2px';
            '4': '4px';
            '8': '8px';
        };
        ringOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
            DEFAULT: '0.5';
        };
        ringWidth: {
            '0': '0px';
            '1': '1px';
            '2': '2px';
            '4': '4px';
            '8': '8px';
            DEFAULT: '3px';
        };
        rotate: {
            '0': '0deg';
            '1': '1deg';
            '2': '2deg';
            '3': '3deg';
            '6': '6deg';
            '12': '12deg';
            '45': '45deg';
            '90': '90deg';
            '180': '180deg';
            '-180': '-180deg';
            '-90': '-90deg';
            '-45': '-45deg';
            '-12': '-12deg';
            '-6': '-6deg';
            '-3': '-3deg';
            '-2': '-2deg';
            '-1': '-1deg';
        };
        saturate: {
            '0': '0';
            '50': '.5';
            '100': '1';
            '150': '1.5';
            '200': '2';
        };
        scale: {
            '0': '0';
            '50': '.5';
            '75': '.75';
            '90': '.9';
            '95': '.95';
            '100': '1';
            '105': '1.05';
            '110': '1.1';
            '125': '1.25';
            '150': '1.5';
        };
        scrollMargin: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
        };
        scrollPadding: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
        };
        sepia: {
            '0': '0';
            DEFAULT: '100%';
        };
        skew: {
            '0': '0deg';
            '1': '1deg';
            '2': '2deg';
            '3': '3deg';
            '6': '6deg';
            '12': '12deg';
            '-12': '-12deg';
            '-6': '-6deg';
            '-3': '-3deg';
            '-2': '-2deg';
            '-1': '-1deg';
        };
        space: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
        };
        stroke: {
            current: 'currentColor';
        };
        strokeWidth: {
            '0': '0';
            '1': '1';
            '2': '2';
        };
        textColor: {
            inherit: 'inherit';
            current: 'currentColor';
            transparent: 'transparent';
            black: '#000';
            white: '#fff';
            slate: {
                '50': '#f8fafc';
                '100': '#f1f5f9';
                '200': '#e2e8f0';
                '300': '#cbd5e1';
                '400': '#94a3b8';
                '500': '#64748b';
                '600': '#475569';
                '700': '#334155';
                '800': '#1e293b';
                '900': '#0f172a';
            };
            gray: {
                '50': '#f9fafb';
                '100': '#f3f4f6';
                '200': '#e5e7eb';
                '300': '#d1d5db';
                '400': '#9ca3af';
                '500': '#6b7280';
                '600': '#4b5563';
                '700': '#374151';
                '800': '#1f2937';
                '900': '#111827';
            };
            zinc: {
                '50': '#fafafa';
                '100': '#f4f4f5';
                '200': '#e4e4e7';
                '300': '#d4d4d8';
                '400': '#a1a1aa';
                '500': '#71717a';
                '600': '#52525b';
                '700': '#3f3f46';
                '800': '#27272a';
                '900': '#18181b';
            };
            neutral: {
                '50': '#fafafa';
                '100': '#f5f5f5';
                '200': '#e5e5e5';
                '300': '#d4d4d4';
                '400': '#a3a3a3';
                '500': '#737373';
                '600': '#525252';
                '700': '#404040';
                '800': '#262626';
                '900': '#171717';
            };
            stone: {
                '50': '#fafaf9';
                '100': '#f5f5f4';
                '200': '#e7e5e4';
                '300': '#d6d3d1';
                '400': '#a8a29e';
                '500': '#78716c';
                '600': '#57534e';
                '700': '#44403c';
                '800': '#292524';
                '900': '#1c1917';
            };
            red: {
                '50': '#fef2f2';
                '100': '#fee2e2';
                '200': '#fecaca';
                '300': '#fca5a5';
                '400': '#f87171';
                '500': '#ef4444';
                '600': '#dc2626';
                '700': '#b91c1c';
                '800': '#991b1b';
                '900': '#7f1d1d';
            };
            orange: {
                '50': '#fff7ed';
                '100': '#ffedd5';
                '200': '#fed7aa';
                '300': '#fdba74';
                '400': '#fb923c';
                '500': '#f97316';
                '600': '#ea580c';
                '700': '#c2410c';
                '800': '#9a3412';
                '900': '#7c2d12';
            };
            amber: {
                '50': '#fffbeb';
                '100': '#fef3c7';
                '200': '#fde68a';
                '300': '#fcd34d';
                '400': '#fbbf24';
                '500': '#f59e0b';
                '600': '#d97706';
                '700': '#b45309';
                '800': '#92400e';
                '900': '#78350f';
            };
            yellow: {
                '50': '#fefce8';
                '100': '#fef9c3';
                '200': '#fef08a';
                '300': '#fde047';
                '400': '#facc15';
                '500': '#eab308';
                '600': '#ca8a04';
                '700': '#a16207';
                '800': '#854d0e';
                '900': '#713f12';
            };
            lime: {
                '50': '#f7fee7';
                '100': '#ecfccb';
                '200': '#d9f99d';
                '300': '#bef264';
                '400': '#a3e635';
                '500': '#84cc16';
                '600': '#65a30d';
                '700': '#4d7c0f';
                '800': '#3f6212';
                '900': '#365314';
            };
            green: {
                '50': '#f0fdf4';
                '100': '#dcfce7';
                '200': '#bbf7d0';
                '300': '#86efac';
                '400': '#4ade80';
                '500': '#22c55e';
                '600': '#16a34a';
                '700': '#15803d';
                '800': '#166534';
                '900': '#14532d';
            };
            emerald: {
                '50': '#ecfdf5';
                '100': '#d1fae5';
                '200': '#a7f3d0';
                '300': '#6ee7b7';
                '400': '#34d399';
                '500': '#10b981';
                '600': '#059669';
                '700': '#047857';
                '800': '#065f46';
                '900': '#064e3b';
            };
            teal: {
                '50': '#f0fdfa';
                '100': '#ccfbf1';
                '200': '#99f6e4';
                '300': '#5eead4';
                '400': '#2dd4bf';
                '500': '#14b8a6';
                '600': '#0d9488';
                '700': '#0f766e';
                '800': '#115e59';
                '900': '#134e4a';
            };
            cyan: {
                '50': '#ecfeff';
                '100': '#cffafe';
                '200': '#a5f3fc';
                '300': '#67e8f9';
                '400': '#22d3ee';
                '500': '#06b6d4';
                '600': '#0891b2';
                '700': '#0e7490';
                '800': '#155e75';
                '900': '#164e63';
            };
            sky: {
                '50': '#f0f9ff';
                '100': '#e0f2fe';
                '200': '#bae6fd';
                '300': '#7dd3fc';
                '400': '#38bdf8';
                '500': '#0ea5e9';
                '600': '#0284c7';
                '700': '#0369a1';
                '800': '#075985';
                '900': '#0c4a6e';
            };
            blue: {
                '50': '#eff6ff';
                '100': '#dbeafe';
                '200': '#bfdbfe';
                '300': '#93c5fd';
                '400': '#60a5fa';
                '500': '#3b82f6';
                '600': '#2563eb';
                '700': '#1d4ed8';
                '800': '#1e40af';
                '900': '#1e3a8a';
            };
            indigo: {
                '50': '#eef2ff';
                '100': '#e0e7ff';
                '200': '#c7d2fe';
                '300': '#a5b4fc';
                '400': '#818cf8';
                '500': '#6366f1';
                '600': '#4f46e5';
                '700': '#4338ca';
                '800': '#3730a3';
                '900': '#312e81';
            };
            violet: {
                '50': '#f5f3ff';
                '100': '#ede9fe';
                '200': '#ddd6fe';
                '300': '#c4b5fd';
                '400': '#a78bfa';
                '500': '#8b5cf6';
                '600': '#7c3aed';
                '700': '#6d28d9';
                '800': '#5b21b6';
                '900': '#4c1d95';
            };
            purple: {
                '50': '#faf5ff';
                '100': '#f3e8ff';
                '200': '#e9d5ff';
                '300': '#d8b4fe';
                '400': '#c084fc';
                '500': '#a855f7';
                '600': '#9333ea';
                '700': '#7e22ce';
                '800': '#6b21a8';
                '900': '#581c87';
            };
            fuchsia: {
                '50': '#fdf4ff';
                '100': '#fae8ff';
                '200': '#f5d0fe';
                '300': '#f0abfc';
                '400': '#e879f9';
                '500': '#d946ef';
                '600': '#c026d3';
                '700': '#a21caf';
                '800': '#86198f';
                '900': '#701a75';
            };
            pink: {
                '50': '#fdf2f8';
                '100': '#fce7f3';
                '200': '#fbcfe8';
                '300': '#f9a8d4';
                '400': '#f472b6';
                '500': '#ec4899';
                '600': '#db2777';
                '700': '#be185d';
                '800': '#9d174d';
                '900': '#831843';
            };
            rose: {
                '50': '#fff1f2';
                '100': '#ffe4e6';
                '200': '#fecdd3';
                '300': '#fda4af';
                '400': '#fb7185';
                '500': '#f43f5e';
                '600': '#e11d48';
                '700': '#be123c';
                '800': '#9f1239';
                '900': '#881337';
            };
        };
        textIndent: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
        };
        textOpacity: {
            '0': '0';
            '5': '0.05';
            '10': '0.1';
            '20': '0.2';
            '25': '0.25';
            '30': '0.3';
            '40': '0.4';
            '50': '0.5';
            '60': '0.6';
            '70': '0.7';
            '75': '0.75';
            '80': '0.8';
            '90': '0.9';
            '95': '0.95';
            '100': '1';
        };
        transformOrigin: {
            center: 'center';
            top: 'top';
            'top-right': 'top right';
            right: 'right';
            'bottom-right': 'bottom right';
            bottom: 'bottom';
            'bottom-left': 'bottom left';
            left: 'left';
            'top-left': 'top left';
        };
        transitionDelay: {
            '75': '75ms';
            '100': '100ms';
            '150': '150ms';
            '200': '200ms';
            '300': '300ms';
            '500': '500ms';
            '700': '700ms';
            '1000': '1000ms';
        };
        transitionDuration: {
            '75': '75ms';
            '100': '100ms';
            '150': '150ms';
            '200': '200ms';
            '300': '300ms';
            '500': '500ms';
            '700': '700ms';
            '1000': '1000ms';
            DEFAULT: '150ms';
        };
        transitionProperty: {
            none: 'none';
            all: 'all';
            DEFAULT: 'background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter';
            colors: 'background-color, border-color, color, fill, stroke';
            opacity: 'opacity';
            shadow: 'box-shadow';
            transform: 'transform';
        };
        transitionTimingFunction: {
            DEFAULT: 'cubic-bezier(0.4, 0, 0.2, 1)';
            linear: 'linear';
            in: 'cubic-bezier(0.4, 0, 1, 1)';
            out: 'cubic-bezier(0, 0, 0.2, 1)';
            'in-out': 'cubic-bezier(0.4, 0, 0.2, 1)';
        };
        translate: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '-0': '-0px';
            '-1': '-0.25rem';
            '-2': '-0.5rem';
            '-3': '-0.75rem';
            '-4': '-1rem';
            '-5': '-1.25rem';
            '-6': '-1.5rem';
            '-7': '-1.75rem';
            '-8': '-2rem';
            '-9': '-2.25rem';
            '-10': '-2.5rem';
            '-11': '-2.75rem';
            '-12': '-3rem';
            '-14': '-3.5rem';
            '-16': '-4rem';
            '-20': '-5rem';
            '-24': '-6rem';
            '-28': '-7rem';
            '-32': '-8rem';
            '-36': '-9rem';
            '-40': '-10rem';
            '-44': '-11rem';
            '-48': '-12rem';
            '-52': '-13rem';
            '-56': '-14rem';
            '-60': '-15rem';
            '-64': '-16rem';
            '-72': '-18rem';
            '-80': '-20rem';
            '-96': '-24rem';
            '-px': '-1px';
            '-0.5': '-0.125rem';
            '-1.5': '-0.375rem';
            '-2.5': '-0.625rem';
            '-3.5': '-0.875rem';
            '1/2': '50%';
            '1/3': '33.333333%';
            '2/3': '66.666667%';
            '1/4': '25%';
            '2/4': '50%';
            '3/4': '75%';
            full: '100%';
            '-1/2': '-50%';
            '-1/3': '-33.333333%';
            '-2/3': '-66.666667%';
            '-1/4': '-25%';
            '-2/4': '-50%';
            '-3/4': '-75%';
            '-full': '-100%';
        };
        width: {
            '0': '0px';
            '1': '0.25rem';
            '2': '0.5rem';
            '3': '0.75rem';
            '4': '1rem';
            '5': '1.25rem';
            '6': '1.5rem';
            '7': '1.75rem';
            '8': '2rem';
            '9': '2.25rem';
            '10': '2.5rem';
            '11': '2.75rem';
            '12': '3rem';
            '14': '3.5rem';
            '16': '4rem';
            '20': '5rem';
            '24': '6rem';
            '28': '7rem';
            '32': '8rem';
            '36': '9rem';
            '40': '10rem';
            '44': '11rem';
            '48': '12rem';
            '52': '13rem';
            '56': '14rem';
            '60': '15rem';
            '64': '16rem';
            '72': '18rem';
            '80': '20rem';
            '96': '24rem';
            auto: 'auto';
            px: '1px';
            '0.5': '0.125rem';
            '1.5': '0.375rem';
            '2.5': '0.625rem';
            '3.5': '0.875rem';
            '1/2': '50%';
            '1/3': '33.333333%';
            '2/3': '66.666667%';
            '1/4': '25%';
            '2/4': '50%';
            '3/4': '75%';
            '1/5': '20%';
            '2/5': '40%';
            '3/5': '60%';
            '4/5': '80%';
            '1/6': '16.666667%';
            '2/6': '33.333333%';
            '3/6': '50%';
            '4/6': '66.666667%';
            '5/6': '83.333333%';
            '1/12': '8.333333%';
            '2/12': '16.666667%';
            '3/12': '25%';
            '4/12': '33.333333%';
            '5/12': '41.666667%';
            '6/12': '50%';
            '7/12': '58.333333%';
            '8/12': '66.666667%';
            '9/12': '75%';
            '10/12': '83.333333%';
            '11/12': '91.666667%';
            full: '100%';
            screen: '100vw';
            min: 'min-content';
            max: 'max-content';
        };
        willChange: {
            auto: 'auto';
            scroll: 'scroll-position';
            contents: 'contents';
            transform: 'transform';
        };
        zIndex: {
            '0': '0';
            '10': '10';
            '20': '20';
            '30': '30';
            '40': '40';
            '50': '50';
            auto: 'auto';
        };
    };
    corePlugins: [
        'preflight',
        'container',
        'accessibility',
        'pointerEvents',
        'visibility',
        'position',
        'inset',
        'isolation',
        'zIndex',
        'order',
        'gridColumn',
        'gridColumnStart',
        'gridColumnEnd',
        'gridRow',
        'gridRowStart',
        'gridRowEnd',
        'float',
        'clear',
        'margin',
        'boxSizing',
        'display',
        'aspectRatio',
        'height',
        'maxHeight',
        'minHeight',
        'width',
        'minWidth',
        'maxWidth',
        'flex',
        'flexShrink',
        'flexGrow',
        'tableLayout',
        'borderCollapse',
        'transformOrigin',
        'translate',
        'rotate',
        'skew',
        'scale',
        'transform',
        'animation',
        'cursor',
        'touchAction',
        'userSelect',
        'resize',
        'scrollSnapType',
        'scrollSnapAlign',
        'scrollSnapStop',
        'scrollMargin',
        'scrollPadding',
        'listStylePosition',
        'listStyleType',
        'appearance',
        'columns',
        'breakBefore',
        'breakInside',
        'breakAfter',
        'gridAutoColumns',
        'gridAutoFlow',
        'gridAutoRows',
        'gridTemplateColumns',
        'gridTemplateRows',
        'flexDirection',
        'flexWrap',
        'placeContent',
        'placeItems',
        'alignContent',
        'alignItems',
        'justifyContent',
        'justifyItems',
        'gap',
        'space',
        'divideWidth',
        'divideStyle',
        'divideColor',
        'divideOpacity',
        'placeSelf',
        'alignSelf',
        'justifySelf',
        'overflow',
        'overscrollBehavior',
        'scrollBehavior',
        'textOverflow',
        'whitespace',
        'wordBreak',
        'borderRadius',
        'borderWidth',
        'borderStyle',
        'borderColor',
        'borderOpacity',
        'backgroundColor',
        'backgroundOpacity',
        'backgroundImage',
        'gradientColorStops',
        'boxDecorationBreak',
        'backgroundSize',
        'backgroundAttachment',
        'backgroundClip',
        'backgroundPosition',
        'backgroundRepeat',
        'backgroundOrigin',
        'fill',
        'stroke',
        'strokeWidth',
        'objectFit',
        'objectPosition',
        'padding',
        'textAlign',
        'textIndent',
        'verticalAlign',
        'fontFamily',
        'fontSize',
        'fontWeight',
        'textTransform',
        'fontStyle',
        'fontVariantNumeric',
        'lineHeight',
        'letterSpacing',
        'textColor',
        'textOpacity',
        'textDecoration',
        'fontSmoothing',
        'placeholderColor',
        'placeholderOpacity',
        'caretColor',
        'accentColor',
        'opacity',
        'backgroundBlendMode',
        'mixBlendMode',
        'boxShadow',
        'outline',
        'ringWidth',
        'ringColor',
        'ringOpacity',
        'ringOffsetWidth',
        'ringOffsetColor',
        'blur',
        'brightness',
        'contrast',
        'dropShadow',
        'grayscale',
        'hueRotate',
        'invert',
        'saturate',
        'sepia',
        'filter',
        'backdropBlur',
        'backdropBrightness',
        'backdropContrast',
        'backdropGrayscale',
        'backdropHueRotate',
        'backdropInvert',
        'backdropOpacity',
        'backdropSaturate',
        'backdropSepia',
        'backdropFilter',
        'transitionProperty',
        'transitionDelay',
        'transitionDuration',
        'transitionTimingFunction',
        'willChange',
        'content',
    ];
    plugins: [];
    content: {
        files: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'];
        extract: {};
        transform: {};
    };
    darkMode: 'media';
    variants: {
        extend: {};
    };
    presets: [];
    variantOrder: [
        'first',
        'last',
        'odd',
        'even',
        'visited',
        'checked',
        'empty',
        'read-only',
        'group-hover',
        'group-focus',
        'focus-within',
        'hover',
        'focus',
        'focus-visible',
        'active',
        'disabled',
    ];
    prefix: '';
    important: false;
    separator: ':';
    safelist: [];
}
